Bug 602212

Summary: RFE: make keyboard grab act more like vmware server console
Product: [Community] Virtualization Tools Reporter: Ales Kozumplik <akozumpl>
Component: virt-viewerAssignee: Daniel Berrange <berrange>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedCC: berrange, cfergeau, clalance, crobinso, dfenze, hdegoede, itamar, jforbes, jzeleny, marcandre.lureau, rbalakri, veillard, virt-maint, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ales Kozumplik 2010-06-09 08:12:56 EDT
This is actually several things:

1) when I finish clicking around/entering input into the guest, virt-viewer provides no way of ungrabbing the keyboard that wouldn't involve using the mouse. 

Why would someone want that: if you are quickly switching between the host and the guest, it is really helpful to have a way to do that without having to move the mose cursor in and out the window.

This makes the user experience unpleasant for people who don't like to use mouse much because it's slow.

2) even when the input is grabbed as described above (mouse over window) it is impossible to send the guest ctrl+alt+f1 through keyboard. the user again has to touch the mouse and navigate through menus.

This makes the user experience inconsistent.

How vmware-server-console-1.0.8 is doing it:
when you click into the window/press enter in the console window, both mouse and keyboard are grabbed and trapped in the guest. all the shortcuts work. the 'complete grab' is released when ctrl+alt is pressed *and released* (so ctrl+alt+delete for instance doesn't trigger reboot).

This doesn't have to be the default for virt-viewer, but it should be possible to set it through an option.
Comment 1 Bug Zapper 2011-06-02 07:27:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ales Kozumplik 2011-06-02 07:47:44 EDT
bumping to rawhide so bugzapper doesn't close this.
Comment 3 Cole Robinson 2012-12-14 16:22:40 EST
Anyone have an opinion on this? The RFE has been kicking around for a 2.5 years without comment, if it's not anything we will ever do it should just be closed IMO
Comment 4 Ales Kozumplik 2012-12-17 02:17:23 EST
I'm against closing this. The ten years old vmware console is still ten times easier and more consistent to use than virt-viewer.
Comment 5 Christophe Fergeau 2012-12-17 05:09:28 EST
1) shouldn't be an issue (at least with remote-viewer+SPICE), there's a keyboard shortcut to ungrab the keyboard/mouse (ctrl+alt by default if I'm not mistaken)

As for 2), can ctrl+alt+f1 be passed to guest using a linux vmware client? Same question with ctrl+alt+del with windows vmware clients if you have experience with these.
Comment 6 Ales Kozumplik 2012-12-17 06:07:35 EST
2) yes. I haven't used these in a while but I remember that unless I pressed and released the ungrab combo (Both CTRLs?) I could send the machine anything, including ctr+alt+f2 --- I remember this pretty clearly as I was working on Anaconda then and the shortcut is used often during debugging. Going to KVM+virt-viewer was a disappointment then.
Comment 7 Ales Kozumplik 2013-08-12 08:46:59 EDT
Still not working optimally in F19. In fact, it's hard to say anything is improving in virt-viewer besides it getting slower.
Comment 8 Cole Robinson 2013-12-16 14:25:47 EST
Since this is an RFC, moving to the upstream tracker